#ifndef __HUD_H__
#define __HUD_H__

/* File Inclusions */
#include "fixedint.h"

/* Macro Definitions */
#define HUD_ALIGN_X  0x0003
#define HUD_ALIGN_XL 0x0000
#define HUD_ALIGN_XM 0x0001
#define HUD_ALIGN_XR 0x0002
#define HUD_ALIGN_Y  0x000C
#define HUD_ALIGN_YT 0x0000
#define HUD_ALIGN_YM 0x0004
#define HUD_ALIGN_YB 0x0008
#define HUD_JUSTIFIC 0x00F0
#define HUD_JUSTIF_L 0x0000
#define HUD_JUSTIF_R 0x0010

/* Function Declarations */
int string_to_display(INTU8 *display, char *string, INTU16 stringlen,
                      INTU32 width, INTU32 height, INTU16 format, INTU32 x,
                      INTU32 y, INTU16 alignment);
int displayHUD(INTU8 *out_display, INTU32 out_width, INTU32 out_height,
               INTU16 out_pixelformat, INTU32 offset, INTU8 offset_b,
               INTU32 width, INTU16 format, INTU32 scalefactor, int progstate,
               INTU8 hide_hud, INTU8 hud_hex);

#endif

